# GetDaysOffline

### Description

The GetDaysOffline method returns the number of days a system has been offline.

```csharp
int GetDaysOffline()
```

### Return

| Data Type | Description                               |
| :-------: | ----------------------------------------- |
|    bool   | the number of days the client was offline |

### Remarks

This method requires that MaxDaysOffline be set to a value other than -1.

Note that QLM starts recording offline days when you call QlmLicense.ValidateLicenseOnServer.

QlmLicense.ValidateLicenseOnServer is automatically called if you set the QlmValidateLicenseOnServer property to true in the QLM Management Console / Protect Your Application wizard (see screenshot below).

![](https://files.readme.io/7948fc3-image.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/getdaysoffline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
